""" Tests setup
"""
from Products.PloneTestCase import PloneTestCase
from Products.PloneTestCase.layer import onsetup
from Products.Five import zcml
from Products.Five import fiveconfigure

PRODUCTS = ['FiveSite', 'eea.testcase']

@onsetup
def setup_eea_testcase():
    """ Setup
    """
    fiveconfigure.debug_mode = True
    import Products.Five
    import Products.FiveSite
    #import eea.testcase
    zcml.load_config('meta.zcml', Products.Five)
    zcml.load_config('configure.zcml', Products.Five)
    zcml.load_config('configure.zcml', Products.FiveSite)
    #zcml.load_config('configure.zcml', eea.testcase)
    fiveconfigure.debug_mode = False

    PloneTestCase.installProduct('Five')
    for i in PRODUCTS:
        PloneTestCase.installProduct(i)

setup_eea_testcase()
PloneTestCase.setupPloneSite(products=PRODUCTS)


class EEATestCaseFunctionalTestCase(PloneTestCase.FunctionalTestCase):
    """ Functional test case
    """
